SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000915supertux-contribLevels and worldmapspublic2012-01-27 12:492013-08-31 14:35
Reporterlmh 
Assigned Tolmh 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000915: Levels submitted to the bugtracker
DescriptionThere are a lot of levels that have been floating around on the bugtracker for some time now. I would like to work on getting them off and cleaning things up a bit to satisfy my OCD. So I've gone through and tried to gather them all up and make them more manageable.

I intend to put together a "Bonus Island" type worldmap featuring these levels since most of them are deviant about the level requirements. However, there may some which should be put into Incubator Island instead (maybe 2 or so). I will upload all the levels as an add-on for now, and suggestions for those to be considered for Incubator Island can be made here (as well as any other concerns or levels I unintentionally omitted).

In addition, several levels lack licenses. I will upload an add-on containing them as well. Since they are not properly licensed, they will NOT be considered for the worldmap. If you are an author or know the author, here is fair warning that I plan on closing tickets with unlicensed levels and they risk being lost to cyberspace. Some of these are decent levels in my opinion, so if an author is comfortable with the "GPL 2+ / CC-by-sa 3.0" license, please include it with the level file or let me know that I can add it.
TagsAttachedFiles, worldmaps
Attached Fileszip file icon bugtracker_PreGit_Collection.zip [^] (835,814 bytes) 2012-01-27 12:49
zip file icon bugtracker_UNLICENSED.zip [^] (749,960 bytes) 2012-01-27 13:22
zip file icon pre_git_bugtracker_worldmap.zip [^] (4,688,775 bytes) 2012-02-12 23:06
? file icon deep_deeper.stl [^] (85,584 bytes) 2012-02-25 08:33
? file icon deepest.stl [^] (77,656 bytes) 2012-02-25 08:33
zip file icon pre_git_bugtracker_worldmap_v2.zip [^] (4,709,196 bytes) 2012-03-23 17:06

- Relationships
related to 0000875resolvedlmh supertux-contrib New music for Super Tux 
child of 0000610resolvedlmh supertux-contrib New level: "A hilly landscape" 
child of 0000614resolvedlmh supertux-contrib New level: "Entering the castle" 
child of 0000615resolvedlmh supertux-contrib New level: "The dark castle" 
child of 0000616resolvedlmh supertux-contrib New level: "Another cold day" 
child of 0000619resolvedlmh supertux-contrib Ice mountain level 
child of 0000621resolvedlmh supertux-contrib In the mountain level. 
child of 0000486resolvedlmh supertux-contrib new levels for supertux 
child of 0000632resolvedctdabomb supertux-editor Can't see the igloo 
child of 0000738resolvedlmh supertux-contrib New Level: "Three Frosty Icebergs" 
child of 0000809resolvedlmh supertux-contrib GiBy's level(s) 
child of 0000891resolvedlmh supertux-contrib Some New Levels 
child of 0000902resolvedlmh supertux-contrib Some new levels for Incubator island 
child of 0000710resolvedlmh supertux-contrib New level: ...but no one can stop it... 
child of 0000722resolvedlmh supertux-contrib Two new castle levels 
child of 0000740resolvedlmh supertux-contrib New forest/castle-level: The abandoned castle 
child of 0000723resolvedlmh supertux-contrib Two new levels... 
child of 0000724resolvedlmh supertux-contrib Some new levels 
child of 0000793resolvedlmh supertux-contrib Level Submission: My first two levels 
child of 0000775closed supertux-contrib Two New Levels for Supertux - By Ozemir 
child of 0000761closed supertux-contrib "My Keyboard", Level created by me, Ozemir... 
child of 0000778resolvedlmh supertux-contrib New level: A long adventure 

-  Notes
(0003030)
lmh (administrator)
2012-01-27 13:19

I should mention that the add-on will add three items to your contrib menu:
bugtracker-JAN2012
Ice Mountain
Newworld

The unlicensed add-on will add two items:
bugtracker-UNLICENSED
sK!LL's Levels
(0003041)
hume2 (administrator)
2012-01-31 12:34

I can do for that levels a worldmap. Are you interested of it? The two separately levelsets will be still separately.
(0003042)
lmh (administrator)
2012-01-31 16:28

Thanks for the offer, but I actually plan on using it as an opportunity to show off the graphics in bug 0000852. After seeing that the Bonus Islands contain unlicensed levels, I may reconsider combining the two sets- being submitted to the bugtracker does imply that they want their levels shared after all. I still hope to get a little more feedback and possibly clearing up the license issue first.
(0003045)
hume2 (administrator)
2012-01-31 21:36

I can skip some places for the unlicenced levels.
(0003047)
hume2 (administrator)
2012-02-02 07:59

I can add licenses to unlicensed levels. Autors of these levels are idle and I thing, they won't add linenses to these levels. It's possible, they don't know, how is adding licenses to levels or why is this required. If they won't add licenses to these levels, then they violate the license GPL. They haven't choice. When I add the licenses to that levels, I facilitate they work.
(0003051)
lmh (administrator)
2012-02-04 11:50

No, adding/changing the license of someone else's work is not appropriate. The reason being is that they DO have a choice. If the author did choose to license under something that conflicted with the license of SuperTux, then the level could not be packaged with SuperTux. But that doesn't mean that level cannot be available elsewhere and still played using SuperTux.

I agree with your assessment that we are unlikely to hear from the authors- but there is potential that they may check back in a few months down the line. If one of them decides that GPL is not for them and finds out that their work is being distributed as such without their consent it could cause a world of hurt. Not that I expect anyone submitting to the bugtracker to cause such a rukus, but you never know.

I think the thing to do is to just leave the levels as they are. In light that there are already levels packaged with SuperTux which show up as unlicensed, I suppose these can probably be put into the worldmap (which can exist as an external add-on anyway). However, I think that development before the release of Milestone I was a bit different- more active, with more communication between authors, and perhaps a different structure for announcing the license. So the license could be implied with the entire Milestone I package (and never updated for subsequent coding changes). I don't know because I wasn't around- some feedback from someone who was could be helpful. I am not an expert on this.

For the time being I'll add them in a sequence that can easily be removed should licensing become an issue.
(0003052)
hume2 (administrator)
2012-02-05 10:39

I don't konw, if they will add the licences to these levels. Ozemir_Elion hasn't logged since 2011-12-26 18:39. SK1LL hasn't logged since 2011-10-11 01:51 and treskalle hasn't logged since 2011-12-04 13:52. We can wait a few months and then we will deal with it.
(0003054)
hume2 (administrator)
2012-02-06 09:09

What about the name? I thing, it can be called "Bonus island 3".
(0003055)
ctdabomb (administrator)
2012-02-06 11:19

yea bonus island 3 would be nice.....
(0003062)
lmh (administrator)
2012-02-12 23:04

Here is a preliminary worldmap. It still lacks a name. "Bonus Island 3" would be fine (even though I switched things up and didn't make an island, but it could be adapted), assuming it was adopted as such. Sure it's not very original, but you'll see I did far worse in that respect...

Anyway, I had a little fun with the map which I hope people find either enjoyable or partly interesting. The unlicensed levels are included, but as a bonus sequence (mostly). I figured it was only really one author to worry about, and if it becomes an issue it's easily removed.

Levels are vaguely ordered by difficulty which inadvertently clustered authors. I did design it so that completion of the main castle was fairly easy (plus there was a rather large gap in castle level difficulty), but there are side paths for more seasoned players. In addition, there is a bonus which requires more skill (or stubborn patience) to reach. It should help with making the really difficult levels more accessible.

This is a first swipe at the worldmap, so any comments, suggestions or bugs are welcomed.
(0003080)
hume2 (administrator)
2012-02-15 21:44

I have an idea: Include your new graphics to ST0.3.4 and relase this add-on after relase ST0.3.4. It can be also added dirrectly to SuperTux project.
(0003110)
treskalle (reporter)
2012-02-23 04:31

Where are the levels I have made?
(In the worldmap file I see them, but you haven't set the sprite...)
(0003111)
treskalle (reporter)
2012-02-23 04:36

Where is the unlicensed zone?
(0003112)
hume2 (administrator)
2012-02-24 07:24

treskalle: The unlicensed zone is secret.
(0003116)
lmh (administrator)
2012-02-24 10:58

Currently you must beat the level "Angrystone vs. YOU" to get to the unlicensed zone (it's the only level on the main worldmap that is not licensed- thus the very subtle hint). I'll probably move it somewhere a little more accessible and rework it in light of adding the licenses. Also I have a couple of levels to add in, so the layout will probably change.
(0003121)
treskalle (reporter)
2012-02-25 08:36

Thanks for the help, lmh.
I uploaded the levels "Deep, deeper" and "Deepest", because I couldn't find them in the bugtracker.
(0003189)
lmh (administrator)
2012-03-23 17:16

Here is a second version of the map. It is largely the same, but also includes four additional levels, another bonus and the secret zone is more accessible (yet well hidden). Licenses are also updated where appropriate.

The name is still kind of... meh. I'm reluctant to cast it as another bonus island and include it with the distribution due to some of the additional content, which I feel should probably not be added to the main repository. So it remains as an add-on, which should be fine especially if/when the in-game add-ons are brought a little more up to date.
(0003259)
lmh (administrator)
2013-01-02 17:46

I've named this worldmap "Mantis Valley" in honor of the bugtracker where the levels came from and because I couldn't come up with anything more clever. It is now accessible via the in-game addon manager in the more recent versions of GIT.
(0003266)
giby (administrator)
2013-01-19 06:16

Several level are just impossible
-Electric wood factory: when we use the swich, there is no way to come back
-In the montain : Just impossible to go through
-It's getting unfinnishable : it is unfinishable, it does not respect rules of levels conception

Is there any fun making impossible levels?
Hume and sk!ll seems to find ...

Bleu iced hill: there is a platform leading to a secret place that is usually not there.... and several switch seems useless...
(0003368)
giby (administrator)
2013-07-20 15:11

I ask some modification for internationalisation ;)

here are some notes:
xgettext: Chaîne non-ASCII à data/levels/pre_git_bugtracker_worldmap/Nice Ice.stl:94.
          Veuillez spécifier l'encodage de la source avec l'option « --from-code ».
129:supertux-0.3.4 benjaminleduc$ ./makepot.sh
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:586: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:586: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:586: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:586: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:586: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:586: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:597: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:597: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:597: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/Missingno.stl:597: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/but_no_one_can_stop_it.stl:296: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/long.stl:1488: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/long.stl:1488: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/long.stl:1488: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/long.stl:1488: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/long.stl:1488: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/long.stl:1488: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/long.stl:1488: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
data/levels/pre_git_bugtracker_worldmap/long.stl:3889: AVERTISSEMENT : internationalized messages should not contain the '\r' escape sequence
(0003379)
lmh (administrator)
2013-08-07 15:07

I've been wanting to re-work some of the add-ons and you are right that there is lots of room for improvement here. I'll take your comments to heart when I do so.
(0003426)
lmh (administrator)
2013-08-31 14:35

There is now an updated version available through add-ons. This should address the localization warnings, and also attempts to make some of the levels easier. In addition, badguys killed should now be a viable stat on most of the levels. Finally I reduced the amount of images packaged with the add-on making it considerably smaller.

- Issue History
Date Modified Username Field Change
2012-01-27 12:49 lmh New Issue
2012-01-27 12:49 lmh Status new => assigned
2012-01-27 12:49 lmh Assigned To => lmh
2012-01-27 12:49 lmh File Added: bugtracker_PreGit_Collection.zip
2012-01-27 12:56 lmh File Added: bugtracker_UNLICENSED.zip
2012-01-27 12:57 lmh Relationship added child of 0000610
2012-01-27 12:57 lmh Relationship added child of 0000614
2012-01-27 12:58 lmh Relationship added child of 0000615
2012-01-27 12:58 lmh Relationship added child of 0000616
2012-01-27 12:59 lmh Relationship added child of 0000619
2012-01-27 13:00 lmh Relationship added child of 0000621
2012-01-27 13:01 lmh Relationship added child of 0000632
2012-01-27 13:02 lmh Relationship deleted child of 0000632
2012-01-27 13:04 lmh Relationship added parent of 0000486
2012-01-27 13:04 lmh Relationship added parent of 0000632
2012-01-27 13:05 lmh Relationship deleted parent of 0000632
2012-01-27 13:05 lmh Relationship deleted parent of 0000486
2012-01-27 13:06 lmh Relationship added child of 0000486
2012-01-27 13:07 lmh Relationship added child of 0000632
2012-01-27 13:07 lmh Relationship added child of 0000738
2012-01-27 13:09 lmh Relationship added child of 0000778
2012-01-27 13:10 lmh Relationship added child of 0000809
2012-01-27 13:11 lmh Relationship added parent of 0000891
2012-01-27 13:11 lmh Relationship deleted parent of 0000891
2012-01-27 13:11 lmh Relationship added child of 0000891
2012-01-27 13:12 lmh Relationship added child of 0000902
2012-01-27 13:13 lmh Relationship added child of 0000710
2012-01-27 13:13 lmh Relationship added child of 0000722
2012-01-27 13:13 lmh Relationship added child of 0000740
2012-01-27 13:14 lmh Relationship added child of 0000723
2012-01-27 13:14 lmh Relationship added child of 0000724
2012-01-27 13:14 lmh Relationship added child of 0000793
2012-01-27 13:14 lmh Relationship added child of 0000671
2012-01-27 13:14 lmh Relationship added child of 0000775
2012-01-27 13:15 lmh Relationship deleted child of 0000671
2012-01-27 13:15 lmh Relationship added child of 0000761
2012-01-27 13:19 lmh Note Added: 0003030
2012-01-27 13:21 lmh File Deleted: bugtracker_UNLICENSED.zip
2012-01-27 13:22 lmh File Added: bugtracker_UNLICENSED.zip
2012-01-31 12:18 hume2 Relationship deleted child of 0000778
2012-01-31 12:21 hume2 Relationship added child of 0000778
2012-01-31 12:34 hume2 Note Added: 0003041
2012-01-31 16:28 lmh Note Added: 0003042
2012-01-31 16:34 lmh Note Added: 0003043
2012-01-31 16:36 lmh Note Deleted: 0003043
2012-01-31 21:36 hume2 Note Added: 0003045
2012-02-02 07:59 hume2 Note Added: 0003047
2012-02-04 11:50 lmh Note Added: 0003051
2012-02-05 10:39 hume2 Note Added: 0003052
2012-02-06 09:09 hume2 Note Added: 0003054
2012-02-06 11:19 ctdabomb Note Added: 0003055
2012-02-12 23:04 lmh Note Added: 0003062
2012-02-12 23:06 lmh File Added: pre_git_bugtracker_worldmap.zip
2012-02-15 21:44 hume2 Note Added: 0003080
2012-02-15 21:46 hume2 Tag Attached: worldmaps
2012-02-15 21:49 hume2 Relationship added related to 0000875
2012-02-22 09:19 ctdabomb Note Added: 0003107
2012-02-23 04:31 treskalle Note Added: 0003110
2012-02-23 04:36 treskalle Note Added: 0003111
2012-02-23 06:16 ctdabomb Note Deleted: 0003107
2012-02-24 07:24 hume2 Note Added: 0003112
2012-02-24 10:58 lmh Note Added: 0003116
2012-02-25 08:33 treskalle File Added: deep_deeper.stl
2012-02-25 08:33 treskalle File Added: deepest.stl
2012-02-25 08:36 treskalle Note Added: 0003121
2012-03-23 17:06 lmh File Added: pre_git_bugtracker_worldmap_v2.zip
2012-03-23 17:16 lmh Note Added: 0003189
2012-09-07 13:20 mathnerd314 Relationship added child of 0000946
2012-09-08 05:15 superdev Tag Attached: AttachedFiles
2013-01-02 17:46 lmh Note Added: 0003259
2013-01-02 17:46 lmh Status assigned => resolved
2013-01-02 17:46 lmh Resolution open => fixed
2013-01-19 06:16 giby Note Added: 0003266
2013-07-20 15:11 giby Note Added: 0003368
2013-08-07 15:07 lmh Note Added: 0003379
2013-08-07 15:10 lmh Status resolved => assigned
2013-08-31 14:35 lmh Note Added: 0003426
2013-08-31 14:35 lmh Status assigned => resolved


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker